Unit tqttve_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, QTTVE_p;

function tqttve: String;

implementation

function tqttve: String;
var
N,I,_i :Integer;
H1,X :Extended;
F :Array [0..49] of Extended;
X1 :Array [0..49] of Extended;
S1 :Array [0..49] of Extended;
label
_1,_2;
begin
Result := '';  {   }
H1 := 3.141592653589793e0/49.e0;
X1[0] := 0.e0;
X1[1] := H1/4.e0;
N := 50;
I := 3;
while ( I<=N ) do
 begin
  X1[I-1] := X1[I-3]+H1*2.e0;
_1:
  X1[I+0] := X1[I-2]+H1*2.e0;
  inc(I,2);
 end;
for I:=1 to N do
 begin
  X := X1[I-1];
_2:
  F[I-1] := Sin(X);
 end;
QTTVE(S1,X1,F,N);
Result := Result + #$0D#$0A;
for _i:=0 to 49 do
 begin
  Result := Result + Format('%20.16f ',[S1[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tqttve',Result);  {     tqttve.res }
exit;
end;

end.
